Bullet Collision Detection & Physics Library: Bullet::btQuantizedBvhFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btQuantizedBvhFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btQuantizedBvhFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_bvhAabbMin
btVector3FloatData | m_bvhAabbMax
btVector3FloatData | m_bvhQuantization
int | m_curNodeIndex
int | m_useQuantization
int | m_numContiguousLeafNodes
int | m_numQuantizedContiguousNodes
btOptimizedBvhNodeFloatData * | m_contiguousNodesPtr
btQuantizedBvhNodeData * | m_quantizedContiguousNodesPtr
btBvhSubtreeInfoData * | m_subTreeInfoPtr
int | m_traversalMode
int | m_numSubtreeHeaders

## Detailed Description

Definition at line 260 of file bullet.h.

## Member Data Documentation

## ◆ m_bvhAabbMax

btVector3FloatData Bullet::btQuantizedBvhFloatData::m_bvhAabbMax

Definition at line 264 of file bullet.h.

## ◆ m_bvhAabbMin

btVector3FloatData Bullet::btQuantizedBvhFloatData::m_bvhAabbMin

Definition at line 263 of file bullet.h.

## ◆ m_bvhQuantization

btVector3FloatData Bullet::btQuantizedBvhFloatData::m_bvhQuantization

Definition at line 265 of file bullet.h.

## ◆ m_contiguousNodesPtr

btOptimizedBvhNodeFloatData* Bullet::btQuantizedBvhFloatData::m_contiguousNodesPtr

Definition at line 270 of file bullet.h.

## ◆ m_curNodeIndex

int Bullet::btQuantizedBvhFloatData::m_curNodeIndex

Definition at line 266 of file bullet.h.

## ◆ m_numContiguousLeafNodes

int Bullet::btQuantizedBvhFloatData::m_numContiguousLeafNodes

Definition at line 268 of file bullet.h.

## ◆ m_numQuantizedContiguousNodes

int Bullet::btQuantizedBvhFloatData::m_numQuantizedContiguousNodes

Definition at line 269 of file bullet.h.

## ◆ m_numSubtreeHeaders

int Bullet::btQuantizedBvhFloatData::m_numSubtreeHeaders

Definition at line 274 of file bullet.h.

## ◆ m_quantizedContiguousNodesPtr

btQuantizedBvhNodeData* Bullet::btQuantizedBvhFloatData::m_quantizedContiguousNodesPtr

Definition at line 271 of file bullet.h.

## ◆ m_subTreeInfoPtr

btBvhSubtreeInfoData* Bullet::btQuantizedBvhFloatData::m_subTreeInfoPtr

Definition at line 272 of file bullet.h.

## ◆ m_traversalMode

int Bullet::btQuantizedBvhFloatData::m_traversalMode

Definition at line 273 of file bullet.h.

## ◆ m_useQuantization

int Bullet::btQuantizedBvhFloatData::m_useQuantization

Definition at line 267 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h